clearvars
global LD n Gz
LD=10;
n=500;
Gz=10;
%Definicin variables independientes
z=linspace(0,1,n)';
r=linspace(0,1,n)';
%Clculo de las An's
sn=besselzero(0,n,1);
%beta1=(1/2)*(-Gz+sqrt(Gz^2+4*(LD*sn).^2));
%q=sqrt((beta1/LD).^2+beta1*Gz);
%J0=besselj(0,q.*r);
An=(2./(sn.*besselj(1,sn)));
%Clculo para exp
b=(sn.^2)*(LD^2/Gz);
Zn=exp(-b.*z);
%Clculo para J0
J=besselj(0,sn.*r);
%Clculo para U
u=Zn*J';
U=zeros(n,n);
for j=1:n
for i=1:n
    U(i,j)=sum(An.*exp(-b.*z(i)).*besselj(0,sn.*r(j)));
end
end
%error=[J J0]
plot(r,U(1,:),'k',r,U(3,:),'c',r,U(6,:),'r',r,U(10,:),...
    'g',r,U(15,:),'b',r,U(20,:),'y',r,U(50,:),'--m')
legend('z=0.0000','z=0.0020','z=0.0040','z=0.0100','z=0.0040','z=0.0180','z=0.0381')
xlabel('r')
ylabel('u')
axis([0 1 0 1.1])
title('Temperatura v radio');
print('Temperatura v radio', '-dpng', '-r300')
%figure
%surf(z,r,U)



